nxt.http.callers

## Class GetExpectedSellOffersCall

- java.lang.Object
- - nxt.http.APICall.Builder<GetExpectedSellOffersCall>
  - - nxt.http.callers.GetExpectedSellOffersCall

-     public class GetExpectedSellOffersCall
      extends APICall.Builder<GetExpectedSellOffersCall>

- - ### Field Summary

    - ### Fields inherited from class nxt.http.APICall.Builder

      `params`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `GetExpectedSellOffersCall` | `account(long account)`
    `GetExpectedSellOffersCall` | `account(java.lang.String account)`
    `static GetExpectedSellOffersCall` | `create()`
    `GetExpectedSellOffersCall` | `currency(long currency)`
    `GetExpectedSellOffersCall` | `currency(java.lang.String currency)`
    `GetExpectedSellOffersCall` | `requireBlock(java.lang.String requireBlock)`
    `GetExpectedSellOffersCall` | `requireLastBlock(java.lang.String requireLastBlock)`
    `GetExpectedSellOffersCall` | `sortByRate(java.lang.String sortByRate)`

    - ### Methods inherited from class nxt.http.APICall.Builder

      `build, call, chain, chain, download, getBlock, getBlocks, getCreatedTransaction, getCreatedTransactions, getParam, getTransaction, getTransactions, getTransactions, isParamSet, isRemoteOnly, param, param, param, param, param, param, param, param, param, param, param, parts, remote, secretPhrase, setParamValidation, trustRemoteCertificate, unsignedLongParam, unsignedLongParam`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### create

          public static GetExpectedSellOffersCall create()

    - #### requireLastBlock

          public GetExpectedSellOffersCall requireLastBlock(java.lang.String requireLastBlock)

    - #### sortByRate

          public GetExpectedSellOffersCall sortByRate(java.lang.String sortByRate)

    - #### currency

          public GetExpectedSellOffersCall currency(java.lang.String currency)

    - #### currency

          public GetExpectedSellOffersCall currency(long currency)

    - #### account

          public GetExpectedSellOffersCall account(java.lang.String account)

    - #### account

          public GetExpectedSellOffersCall account(long account)

    - #### requireBlock

          public GetExpectedSellOffersCall requireBlock(java.lang.String requireBlock)